#!/system/bin/sh

MODDIR=${0%/*}

# Set SELinux mode
setenforce <SELINUX_MODE>

# Enable ZRAM
setprop ro.vendor.qti.config.zram true

# Configure VM and ZRAM settings
echo 0 > /proc/sys/vm/page-cluster
echo 4 > /sys/block/zram0/max_comp_streams

# Remove specific lines from XML files in /data/adb
for xml in $(find /data/adb -iname "*.xml"); do
  if grep -q 'allow-in-power-save package="com.google.android.gms"' $xml 2>/dev/null; then
    sed -i '/allow-in-power-save package="com.google.android.gms"/d;/allow-in-data-usage-save package="com.google.android.gms"/d' $xml
  fi
done
